#
# spec file for package oneko
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           oneko
Version:        1.1b
Release:        1243.3
Summary:        A Cat Catches Your Mouse
License:        SUSE-Public-Domain
Group:          Amusements/Toys/Graphics
Url:            http://www.daidouji.com/oneko/
Source:         http://www.ibiblio.org/pub/linux/X11/demos/%name-%version.tar.gz
Patch:          oneko-1.1b.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xorg-x11
BuildRequires:  xorg-x11-devel

%description
A nice program that changes your cursor into a cat playing with your
mouse cursor.  The manual page shows more possibilities to change your
cursor.



Authors:
--------
    Tatsuya Kato	<kato@ntts.co.jp>
    John Lerchey	<jl4l+@andrew.cmu.edu>
    Eric Anderson	<eanders+@cmu.edu>
    Rick Niles	<niles@axp745.gsfc.nasa.gov>

%prep
%setup -n oneko-1.1 -b0
%patch

%build
xmkmf -a
make all %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man
mv README README.jp

%files
%defattr(-,root,root)
%doc README.jp README-NEW sample.resource
%{_bindir}/*
%doc %{_mandir}/*/*

%changelog
* Wed Oct  8 2014 jengelh@inai.de
- Use source URLs, enable parallel build, remove old specfile
  tags and sections.
* Sun Aug  6 2006 cthiel@suse.de
- fix build with X.org 7.1
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Apr 26 2004 werner@suse.de
- Avoid compiler warnings
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Tue Jun  3 2003 coolo@suse.de
- use BuildRoot
* Tue Jan 14 2003 pmladek@suse.cz
- fixed comments prefix in the Imakefile from "/**/#" to "XCOMM"
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Feb 20 2001 uli@suse.de
- fixed for new glibc
* Thu Dec 14 2000 werner@suse.de
- Group tag
* Wed Jun  7 2000 ro@suse.de
- doc relocation
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Dec 16 1997 werner@suse.de
- New package
  - Some small changes in source and manual page.
